EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Conversió d’un format de llibre a un altre.

input_file és el fitxer d’entrada i output_file el de sortida. S’han d’especificar els dos com als primers dos arguments de l’ordre.

El format de llibre de sortida es dedueix de l’extensió d’output_file. output_file també pot ser del format especial .EXT on EXT és l’extensió del fitxer de sortida. En aquest cas, el nom del fitxer de sortida es deriva del nom del fitxer d’entrada. Tingueu en compte que els noms de fitxer no poden començar amb un guió. Per acabar, si output_file no té extensió, es tracta com una carpeta i es desa un «open book» (OEB) format per fitxers HTML a la carpeta. Aquests fitxers són els que normalment haurien passat al connector de sortida.

Després d’especificar el fitxer d’entrada i de sortida podeu personalitzar la conversió especificant diverses opcions. Les opcions disponibles depenen dels tipus de fitxer d’entrada i de sortida. Per obtenir ajuda d’això, especifiqueu el fitxer d’entrada i de sortida amb l’opció -h.

Per a la documentació completa del sistema de conversió vegeu conversion

Sempre que passeu arguments a ebook-convert i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: «/some path/with spaces»

Les opcions i els valors per defecte de les opcions de canvi depenen tan del format d’enrtada com del format de sortida, per tant, sempre és possible comprovar-ho amb:

ebook-convert myfile.input_format myfile.output_format -h

A continuació es detallen les opcions comunes a totes les conversions, seguides per les opcions específiques de cada format d’entrada i de sortida.

•   OPCIONS D’ENTRADA

•   OPCIONS DE SORTIDA

•   APARENÇA

•   PROCESSAMENT HEURÍSTIC

•   CERCA I SUBSTITUCIÓ

•   DETECCIÓ DE L’ESTRUCTURA

•   TAULA DEL CONTINGUT

•   METADADES

•   DEPURACIÓ

--help, -h
    mostra aquest missatge d'ajuda i surt

--input-profile
    Especifica el perfil d'entrada. El perfil d'entrada proporciona informació al sistema de conversió de com interpretar informació diversa del document d'entrada. Per exemple, longituds depenent de la resolució (longitud en píxels). Les opcions són:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    Llista els noms de les receptes integrades. Podeu crear un llibre electrònic a partir d'una recepta integrada així: «Nom de la recepta.recipe» sortida.epub

--output-profile
    Especifica el perfil de sortida. El perfil de sortida li diu al sistema de conversió com ha d'optimitzar el document creat per al dispositiu especificat (com ara amb el canvi de mida de les imatges per a la mida de pantalla del dispositiu). En alguns casos es pot utilitzar un perfil de sortida per optimitzar la sortida per a un dispositiu particular, però no sol ser necessari. Les opcions són:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    mostra el número de versió del programa i surt

OPCIONS D’ENTRADA

Opcions per controlar el processament del fitxer d’entrada mobi

--input-encoding
    Especifiqueu la codificació de caràcters del document d'entrada. Aquesta opció anul·larà qualsevol codificació que pugui estar indicada al document. És particularment útil per a documents que no indiquen cap codificació o ho fan incorrectament.

OPCIONS DE SORTIDA

Opcions per a controlar el processament de la sortida epub

--dont-split-on-page-breaks
    Desactiva les divisions als salts de línia. Normalment, els fitxers d'entrada es divideixen en dos automàticament a cada salt de pàgina. Així s'obté un llibre electrònic que es pot analitzar més ràpidament i amb menys recursos. La divisió però, és lenta i si el vostre fitxer d'origen conté un gran nombre de salts de pàgina, hauríeu de desactivar la divisió als salts de pàgina.

--epub-flatten
    Només es necessita aquesta opció si voleu utilitzar l'EPUB amb FBReaderJ. Aplanarà el sistema de fitxers de dins l'EPUB i posarà tots els fitxers al nivell superior.

--epub-inline-toc
    Insereix una taula del contingut en línia que apareixerà com a part del contingut principal del llibre.

--epub-toc-at-end
    Posa la taula del contingut en línia inserida al final del llibre en lloc del començament.

--extract-to
    Extreu el contingut del fitxer EPUB generat al directori especificat. Compte, abans s'esborrarà el contingut del directori.

--flow-size
    Divideix tots els fitxers HTML més grans d'aquesta mida (en KB). Això és necessari, ja que la majoria de lectors EPUB no poden gestionar fitxers grans. El valor per defecte de 260KB, que és la mida requerida per Adobe Digital Editions. Establiu-ho a 0, per a inhabilitar la divisió en funció de la mida.

--no-default-epub-cover
    Si el fitxer d'entrada no té portada i no n'especifiqueu cap, es genera una portada per defecte amb títol, autors… Aquesta opció inhabilita la generació d'aquesta portada.

--no-svg-cover
    No utilitzis cap portada SVG. Utilitzeu aquesta opció si el vostre EPUB s'utilitzarà en un dispositiu que no té suport per a SVG, com ara l'iPhone o el JetBook Lite. Sense aquesta opció, aquests dispositius mostraran una portada en blanc.

--preserve-cover-aspect-ratio
    Quan s'utilitza una portada SVG, aquesta opció fa que s'escali per cobrir l'àrea de pantalla disponible, però encara preservarà la seva relació d'aspecte (relació entre l'amplada i l'altura). Això significa que pot haver bores blanques als costats o a la part superior i inferior de la imatge, però la imatge mai es distorsiona. Sense aquesta opció, la imatge pot estar una mica distorsionada, però no hi haurà bores.

--pretty-print
    Si s'especifica, el connector de sortida intentarà generar una sortida que sigui el més llegible possible. Pot ser que no tingui cap efecte en alguns connectors de sortida.

--toc-title
    Títol per a qualsevol taula del contingut generada automàticament.

APARENÇA

Opcions per controlar l’aparença de la sortida

--asciiize
    Transcriu els caràcters unicode a una representació ASCII. Utilitzeu-ho amb compte perquè això substituirà els caràcters amb ASCII. Per exemple, substituirà «Михаил Горбачёв» per «Mikhail Gorbachiov». Tingueu també en compte que en casos que hi ha diverses representacions d'un caràcter (per exemple caràcters compartits pel xinès i el japonès) s'utilitzarà la representació basada en la llengua actual de la interfície de calibre.

--base-font-size
    La mida base de la lletra en punts. Totes les mides de les lletres al llibre resultant es canviaran d'escala basant-se en aquesta mida. Si trieu una mida més gran, podreu augmentar la mida de les lletres a la sortida i a l'inrevés. Per defecte, la mida base de la lletra se selecciona en funció del perfil de sortida que es triï.

--change-justification
    Modifica el valor d'alineació del text. El valor «esquerra» converteix l'alineació de tot el text de l'origen en text alineat a l'esquerra (no justificat). El valor «justificat» converteix tot el text no justificat en text justificat. El valor «original» (per defecte) no modifica l'alineació del fitxer d'origen. Només alguns formats de sortida són compatibles amb l'alineació.

--disable-font-rescaling
    Inhabilita tots els canvis d'escala de les mides de les lletres.

--embed-all-fonts
    Incrusta cadascuna de les lletres referenciades al document d'entrada que encara no estan incrustades. Es farà una cerca de les lletres al sistema i, si es troben, s'incrustaran. La incrustació només funciona si el format que esteu convertint és compatible amb lletres incrustades, com ara EPUB, AZW3 o PDF. Assegureu-vos que teniu la llicència adequada per a la incrustació de les lletres utilitzades en aquest document.

--embed-font-family
    Incrusta la família de la lletra especificada al llibre. Això especifica la lletra «base» que s'utilitza per al llibre. Si el document d'entrada especifica les seves pròpies lletres, es poden substituir amb aquesta lletra base. Podeu utilitzar l'opció de la informació del filtre d'estils per suprimir lletres del document d'entrada. Tingueu en compte que la incrustació de lletres només funciona amb alguns formats de sortida, principalment EPUB, AZW3 i DOCX.

--expand-css
    Per defecte, calibre utilitza la forma abreujada per a diverses propietats CSS, com ara «margin», «padding», «border», etc. Aquesta opció farà que s'utilitzi la forma estesa. Tingueu en compte que el CSS s'expandeix sempre quan es generen els fitxers EPUB amb el perfil de sortida establert a un dels perfils Nook, ja que els Nook no poden gestionar el CSS abreujat.

--extra-css
    Qualsevol camí a un full d'estil CSS o CSS en brut. Aquest CSS s'annexarà a les regles d'estil del fitxer d'origen, així es pot utilitzar per anul·lar aquelles regles.

--filter-css
    Una llista separada per comes de propietats CSS que se suprimiran de totes les regles d'estil CSS. És útil si la presència d'alguna informació d'estil no permet la substitució al vostre dispositiu. Per exemple: font-family,color,margin-left,margin-right

--font-size-mapping
    Mapatge a partir dels noms de les lletres del CSS en mides de lletres en punts. Un exemple d'establiment és 12,12,14,16,18,20,22,24. Aquests són els mapatges per a les mides des de xx-petita fins a xx-gran, amb una mida final per a les lletres enormes. L'algorisme de canvi d'escala de la lletra utilitza aquestes mides per a un canvi intel·ligent d'escala de les lletres. Per defecte s'utilitza un mapatge basat en el perfil de sortida que heu triat.

--insert-blank-line
    Insereix una línia en blanc entre paràgrafs. No funciona si el fitxer d'origen no indica els paràgrafs (amb les etiquetes <p> o <div>).

--insert-blank-line-size
    Estableix l'alçada de les línies en blanc inserides (en unitats em). L'alçada de les línies entre paràgrafs serà el doble del valor que s'estableixi aquí.

--keep-ligatures
    Preserva les lligadures presents al document d'entrada. Una lligadura és una renderització especial d'un parell de caràcters com ara ff, fi, fl…. La majoria dels lectors no admeten les lligadures en les seves lletres predeterminades, per aquest motiu és poc probable que les renderitzin correctament. Per defecte, calibre canvia una lligadura pel seu parell corresponent de caràcters normals. Aquesta opció fa que les lligadures en preservin en lloc seu.

--line-height
    L'alçada de línia en punts. Controla l'espaiat entre línies consecutives de text. Només s'aplica a elements que no defineixen la seva alçada de línia. A la majoria de casos és més útil l'opció de l'alçada mínima de línia. Per defecte no es manipula l'alçada de línia.

--linearize-tables
    Alguns documents mal dissenyats utilitzen taules per controlar la disposició del text a la pàgina. Quan es converteixen sovint hi ha desplaçaments del text fora de la pàgina i altres artefactes. Aquesta opció extreu el contingut de les taules i el presenta de forma lineal.

--margin-bottom
    Estableix el marge inferior en pts. Per defecte és %defecte. Establir-lo en menys de zero farà que no hi hagi marge (els paràmetres de marge del document original es conservaran). Atenció: Els formats orientats a pàgina, com PDF o DOCX, tenen paràmetres de marge propis i tenen preferència.

--margin-left
    Estableix el marge esquerre en pts. Per defecte és %defecte. Establir-lo en menys de zero farà que no hi hagi marge (els paràmetres de marge del document original es conservaran). Atenció: Els formats orientats a pàgina, com PDF o DOCX, tenen paràmetres de marge propis i tenen preferència.

--margin-right
    Estableix el marge dret en pts. Per defecte és %defecte. Establir-lo en menys de zero farà que no hi hagi marge (els paràmetres de marge del document original es conservaran). Atenció: Els formats orientats a pàgina, com PDF o DOCX, tenen paràmetres de marge propis i tenen preferència.

--margin-top
    Estableix el marge superior en pts. Per defecte és %defecte. Establir-lo en menys de zero farà que no hi hagi marge (els paràmetres de marge del document original es conservaran). Atenció: Els formats orientats a pàgina, com PDF o DOCX, tenen paràmetres de marge propis i tenen preferència.

--minimum-line-height
    L'alçada mínima de la línia, com a un percentatge de la mida de la lletra calculada de l'element. Calibre s'assegurarà que cada element tingui una alçada de línia d'almenys aquest ajust, independentment del que especifiqui el document d'entrada. Zero per a inhabilitar-ho. Per defecte és 120%. Utilitzeu aquest ajust en lloc de l'especificació directa de l'alçada de la línia, llevat que sapigueu el que esteu fent. Per exemple, podeu assolir text a «doble espai» amb l'establiment del valor a 240.

--remove-paragraph-spacing
    Elimina l'espaiament entre paràgrafs. També insereix un sagnat als paràgrafs d'1.5 em. L'eliminació de l'espaiament no funcionarà si el fitxer d'origen no conté paràgrafs (amb les etiquetes <p> o <div>).

--remove-paragraph-spacing-indent-size
    Quan calibre suprimeix les línies en blanc entre paràgrafs, estableix automàticament un sagnat per assegurar-se que es puguin distingir bé els paràgrafs. Aquesta opció controla l'amplada del sagnat (en unitats em). Si s'estableix un valor negatiu, s'utilitza el sagnat especificat al document d'entrada, és a dir, calibre no canvia el sagnat.

--smarten-punctuation
    Converteix les cometes, els guions i els punts suspensius als seus equivalents tipogràfics correctes. Vegeu https://daringfireball.net/projects/smartypants per a més detalls

--subset-embedded-fonts
    Subconjunt de totes les lletres incrustades. Es redueixen totes les lletres incrustades perquè només continguin els caràcters utilitzats al document. Això redueix la mida dels fitxers de les lletres. És útil si incrusteu una lletra especialment gran amb molts caràcters que no s'utilitzen.

--transform-css-rules
    Camí al fitxer que conté les regles per transformar els estils CSS del llibre. La manera més fàcil de crear aquest tipus de fitxer és utilitzar l'assitent de creació de regles a la interfície gràfica d'usuari. Podeu accedir-hi a la secció del diàleg de conversió a «Aparença->Transformació dels estils». Un cop hagueu creat les regles, empreu el botó «Exporta» per desar-les en un fitxer.

--unsmarten-punctuation
    Converteix les cometes, els guions i els punts suspensius als seus equivalents senzills.

PROCESSAMENT HEURÍSTIC

Modifica el text i l’estructura del document utilitzant patrons habituals. Inhabilitat per defecte. Utilitzeu –enable-heuristics per habilitar-ho. Es pot inhabilitar les accions individuals amb les opcions –disable-
*
.

--disable-dehyphenate
    Analitza les paraules amb guió de tot el document. S'utilitza el mateix document com a diccionari per determinar si s'han de mantenir o suprimir els guions.

--disable-delete-blank-paragraphs
    Suprimeix els paràgrafs buits del document si aquests estan intercalats entre qualsevol altre paràgraf

--disable-fix-indents
    Converteix els sagnats creats amb blocs de diversos espais seguits en sagnats CSS.

--disable-format-scene-breaks
    Els marcadors de salt d'escena alineats a l'esquerra se centren. Se suprimeixen els salts d'escena amb diverses línies en blanc per línies horitzontals.

--disable-italicize-common-cases
    Cerca paraules i patrons que solen estar en cursiva i posar-los-hi.

--disable-markup-chapter-headings
    Detecta els encapçalaments i els sub-encapçalaments sense format dels capítols i canvia'ls a etiquetes h2 i h3. Aquest ajust no crearà una taula del contingut, però es pot utilitzar conjuntament amb la detecció de l'estructura per crear-ne una.

--disable-renumber-headings
    Cerca la presència de seqüències d'etiquetes <h1> o <h2>. Es torna a numerar les etiquetes per evitar una divisió al mig dels encapçalaments dels capítols.

--disable-unwrap-lines
    Suprimeix els salts de línia mitjançant la puntuació i altres indicis de formatació.

--enable-heuristics
    Habilita el processament heurístic. S'ha d'activar aquesta opció per tal de poder fer qualsevol processament heurístic.

--html-unwrap-factor
    Escala utilitzada per determinar la longitud en què s'ha de suprimir el salt de línia. Els valors vàlids són un decimal entre 0 i 1. El valor per defecte és 0.4, just per sota de la longitud mitjana de la línia. Si únicament hi ha molt poques línies al document que requereixin la supressió del salt de línia, aleshores s'hauria de reduir aquest valor

--replace-scene-breaks
    Substitueix els salts d'escena pel text especificat. Per defecte s'utilitza el text del document d'entrada.

CERCA I SUBSTITUCIÓ

Modifica el text i l’estructura del document mitjançant els patrons definits per l’usuari.

--search-replace
    Camí a un fitxer que conté expression regulars als camps cerca i reemplaça. el fitxer ha de contenir línies alternants d'expresions regulars seguides per un patró de reemplaçament (que pot ser una línia buida). L'expressió regular ha de ser en sintaxi Python regex i codificada en UTF-8.

--sr1-replace
    Text de substitució del que es trobi amb sr1-search.

--sr1-search
    Patró de cerca (expressió regular) que se substituirà per sr1-replace.

--sr2-replace
    Text de substitució del que es trobi amb sr2-search.

--sr2-search
    Patró de cerca (expressió regular) que se substituirà per sr2-replace.

--sr3-replace
    Text de substitució del que es trobi amb sr3-search.

--sr3-search
    Patró de cerca (expressió regular) que se substituirà per sr3-replace.

DETECCIÓ DE L’ESTRUCTURA

Controla l’autodetecció de l’estructura del document.

--chapter
    Una expressió d'XPath per detectar títols de capítols. Per defecte, s'assumeix que les etiquetes <h1> o <h2> contenen les paraules «capítol», «llibre», «secció», «pròleg», «epíleg» o «part» com a títols de capítol, així com també qualsevol etiqueta que tingui class=«capítol». L'expressió que s'utilitzi ha d'equivaler a una llista d'elements. Per desactovar la detecció de capítols, utilitzeu l'expressió «/». Vegeu l'assistent d'XPath al manual d'usuari de calibre per a més informació.

--chapter-mark
    Especifica com s'ha de marcar els capítols detectats. El valor «pagebreak» insereix un salt de pàgina abans dels capítols. El valor «rule» insereix una línia abans dels capítols. El valor «none» inhabilita les marques dels capítols i el valor «both» insereix un salt de pàgina i una línia per marcar els capítols.

--disable-remove-fake-margins
    Alguns documents especifiquen els marges de pàgina amb un marge a la dreta i a l'esquerra per a cada paràgraf. Calibre pot intentar detectar i suprimir aquests marges. A vegades es poden suprimir marges que no s'haurien d'haver eliminat, en aquest cas es pot inhabilitar la supressió.

--insert-metadata
    Insereix les metadades del llibre a l'inici. Això és útil si el vostre lector de llibres electrònics no disposa de cerca o visualització de metadades directament.

--page-breaks-before
    Una expressió XPath. S'insereixen salts de pàgina abans dels elements especificats. Per inhabilitar-ho utilitzeu l'expressió: /

--prefer-metadata-cover
    Estableix la portada detectada al fitxer d'origen de forma preferent a la portada indicada.

--remove-first-image
    Elimina la primera imatge del llibre seleccionat. És útil si el document seleccionat té una imatge de portada que no està marcada com a tal. En aquest cas, si no s'estableix una portada a calibre, el document resultant en tindrà dues, llevat que s'especifiqui aquesta opció.

--start-reading-at
    Una expressió XPath per detectar el lloc del document on s'ha de començar la lectura. Alguns programes de lectura (el més remarcable el Kindle) utilitzen aquest lloc com a la posició que s'ha d'obrir el llibre. Vegeu l'assistent de XPath al manual d'usuari de calibre per a més informació.

TAULA DEL CONTINGUT

Controla la generació automàtica de la taula del contingut. Si el fitxer d’origen conté una taula del contingut, s’utilitzarà preferentment aquest en lloc del generat automàticament.

--duplicate-links-in-toc
    Quan es crea una taula del contingut a partir dels enllaços al document d'entrada permet que hi hagin entrades duplicades, és a dir, permet més d'una entrada amb el mateix text, sempre que apuntin a una ubicació diferent.

--level1-toc
    Expressió XPath que especifica totes les etiquetes s'han d'afegir al primer nivell de la taula del contingut. Si s'especifica, té prioritat sobre les altres formes de detecció automàtica. Vegeu alguns exemples a la guia d'aprenentatge de XPath del manual d'usuari de calibre.

--level2-toc
    Expressió XPath que especifica totes les etiquetes s'han d'afegir al segon nivell de la taula del contingut. Cada entrada s'afegeix a sota de l'entrada de primer nivell prèvia. Vegeu alguns exemples a la guia d'aprenentatge de XPath del manual d'usuari de calibre.

--level3-toc
    Expressió XPath que especifica totes les etiquetes s'han d'afegir al tercer nivell de la taula del contingut. Cada entrada s'afegeix a sota de l'entrada de segon nivell prèvia. Vegeu alguns exemples a la guia d'aprenentatge de XPath del manual d'usuari de calibre.

--max-toc-links
    Nombre màxim d'enllaços per afegir a la taula del contingut. Establiu-lo a 0 per a inhabilitar-ho. Per defecte és: 50. Els enllaços s'afegeixen a la taula del contingut si es detecta menys capítols que el nombre d'aquest llindar.

--no-chapters-in-toc
    No afegeixis els capítols detectats automàticament a la taula del contingut.

--toc-filter
    Suprimeix les entrades de la taula del contingut quan els seus títols coincideixin amb l'expressió indicada. Se suprimiran les entrades coincidents i els seus subapartats.

--toc-threshold
    Si el nombre de capítols detectats és menor que aquest s'afegeixen els enllaços a la taula del contingut. Per defecte 6

--use-auto-toc
    Normalment s'utilitza preferentment la taula del contingut del fitxer d'origen, si existeix, al generat automàticament. Amb aquesta opció sempre s'utilitza el generat automàticament.

METADADES

Opcions per assignar metadades a la sortida

--author-sort
    La cadena que s'utilitzarà en l'ordenació per autor.

--authors
    Estableix els autors. Si hi ha diversos autors, s'han de separar amb una "&".

--book-producer
    Estableix el productor del llibre.

--comments
    Estableix la descripció del llibre.

--cover
    Estableix la portada a partir del fitxer o URL especificat

--isbn
    Estableix l'ISBN del llibre.

--language
    Estableix la llengua.

--pubdate
    Estableix la data de publicació (s'assumeix que és zona horària local, llevat que s'especifiqui una altra explícitament)

--publisher
    Estableix l'editorial del llibre.

--rating
    Estableix la valoració. Ha de ser un nombre entre 1 i 5.

--read-metadata-from-opf, --from-opf, -m
    Llegeix les metadades del fitxer OPF especificat. Les metadades que es llegeixin d'aquest fitxer substituiran les metadades del fitxer d'origen.

--series
    Estableix la sèrie que pertany el llibre.

--series-index
    Estableix l'índex del llibre en aquesta sèrie.

--tags
    Estableix les etiquetes per al llibre. Ha de ser una llista separada per comes.

--timestamp
    Estableix la marca horària del llibre (ja no s'utilitza enlloc més)

--title
    Estableix el títol.

--title-sort
    La versió del títol que s'utilitzarà per a l'ordenació.

DEPURACIÓ

Opcions per ajudar a la depuració de la conversió

--debug-pipeline, -d
    Desa la sortida de les diferents etapes de la canonada de conversió al directori especificat. És útil si no esteu segur en quina etapa del procés de conversió hi ha un error.

--verbose, -v
    Nivell de detall. Augmenteu-lo per aconseguir més detall. Augmentar-lo dues vegades dona com a resultat detall complet, una vegada, detall mig, i cap resulta en el menor detall.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal